.f-27 {
    font-size: 27px;
}
.timer {
    display: flex;
    align-items: center;
}
.timer-text {
    transform: rotate(90deg);
    transform-origin: center;
    font-size: 36px;
    text-anchor: middle;
    font-weight: 600;
    fill: #333;
}
#progress-circle {
    margin-top: 50px;
    transform: rotate(-90deg);
}
.progress-wrapper {
    position: relative;
    margin: 20px auto;
    font-size: 21px;
  }
  
  .progress {
    position: absolute;
    width: 100%;
    height: 100%;
    line-height: 9em;
    font-size: 1em;
    text-align: center;
    font-weight: 100;
  }
  .flex-container {
    display: flex;
    flex-direction: row;
    height: 100%;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    
    @media screen and (max-width: 600px) {
      & {
        flex-wrap: wrap;
      }
      .progress {
        height: unset;
      }
    }

    .progress {
      height: 100%;
    }
  }